Bug 55953 - PDF Export of partial document destroys internal hyperlinks to other sheets
Summary: PDF Export of partial document destroys internal hyperlinks to other sheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf, needsDevEval, topicDebug
Depends on:
Blocks: PDF-Export Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2012-10-13 15:40 UTC by Rainer Bielefeld Retired
Modified: 2018-10-27 20:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (141.25 KB, application/zip)
2012-10-13 15:40 UTC, Rainer Bielefeld Retired
Details
Sample Document (8.22 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-13 17:56 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-13 15:40:36 UTC
Created attachment 68524 [details]
Test Kit

Steps how to reproduce with  "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit):

1. open sample.ods from attached Test Kit
2. Test Hyperlinks on 2 page of sheet "Inhaltsverzeichnis" behind text
   "Arbeitsblatt „Datenblatt-Auswahl“"
   > leads to sheet Datenblatt-Auswahl
3. Export complete document to PDF
4. Export Pages 1,2,4 to PDF
5. Do tests as per Step 2 in both documents
   Expected: all work
   Actual: In partial export hyperlinks are destroyed, 

See my results in .pdf in test kit
Comment 1 Rainer Bielefeld Retired 2012-10-13 17:35:05 UTC
Same with LibO 3.3.0, AOOo 3.4.1, so that seems inherited from AOOo
But worked fine with  OOo 3.1.1

Same with LibO 3.5.2.2 on Ubuntu 12.04 64 bit (VirtualBox)

Should not be too difficult to find out why that does not work for partial export only, so EasyHack proposal

Not related to User Profile problems or Experimental Features enabled.

New due to tests with many Versions

@Markus:
What do you think about EasyHack?
Comment 2 Rainer Bielefeld Retired 2012-10-13 17:56:23 UTC
Created attachment 68527 [details]
Sample Document

I did the second test with OOo 3.1.1 with different sample document (see attachment), and for this sample document the links also Work with LibO 3.6.3.1. I am afraid this bug is a little more tricky than I thought
Comment 3 Joel Madero 2014-02-27 23:27:56 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Robinson Tryon (qubit) 2015-12-14 06:13:45 UTC Comment hidden (obsolete)
Comment 5 Björn Michaelsen 2016-01-26 18:02:40 UTC
topicDebug is a Topic.
Comment 6 Björn Michaelsen 2016-01-26 18:04:58 UTC
Remove skillDebug, superceded by topicDebug.
Comment 7 QA Administrators 2018-08-22 02:35:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug